/*---------------------------------------------------------------------------*
 *                                   IT++			             *
 *---------------------------------------------------------------------------*
 * Copyright (c) 1995-2005 by Tony Ottosson, Thomas Eriksson, Pl Frenger,   *
 * Tobias Ringstrm, and Jonas Samuelsson.                                   *
 *                                                                           *
 * Permission to use, copy, modify, and distribute this software and its     *
 * documentation under the terms of the GNU General Public License is hereby *
 * granted. No representations are made about the suitability of this        *
 * software for any purpose. It is provided "as is" without expressed or     *
 * implied warranty. See the GNU General Public License for more details.    *
 *---------------------------------------------------------------------------*/

/*!
  \file
  \brief Alphabetical list of modules (groups)
  \author Johan Bergman

  1.2

  2005/03/25 01:31:23
*/

#ifndef __alpha_modules_h
#define __alpha_modules_h

namespace itpp {

  /*! \defgroup parser Argument Parser */
  /*! \defgroup audio Audio */
  /*! \defgroup besselfunctions Bessel Functions */
  /*! \defgroup channels Communication Channel Models */
  /*! \defgroup convertfunc Conversion Functions */
  /*! \defgroup determinant Determinant */
  /*! \defgroup detsource Deterministic Sources */
  /*! \defgroup diag Diagonal Matrices and Functions of Diagonals */
  /*! \defgroup modulators Digital Modulation */
  /*! \defgroup dct Discrete Cosine Transforms (DCT) */
  /*! \defgroup errorfunc Error Functions */
  /*! \defgroup errorhandlingfunc Error Handling Functions */
  /*! \defgroup fft Fast Fourier Transforms (FFT) */
  /*! \defgroup fht Fast Hadamard Transforms */
  /*! \defgroup fastica Fast Independent Component Analysis */
  /*! \defgroup filters Filter Classes and Functions */
  /*! \defgroup fixtypes Fixed-Point Data Types */
  /*! \defgroup fec Forward Error Correcting Codes */
  /*! \defgroup matrix_functions Functions on Matrices */
  /*! \defgroup hypfunc Hyperbolic Functions */
  /*! \defgroup image Image Functions and Classes */
  /*! \defgroup interl Interleavers */
  /*! \defgroup inverse Inverse Matrix */
  /*! \defgroup itfile IT++ File Format */
  /*! \defgroup logexpfunc Logarithmic and Exponential Functions */
  /*! \defgroup lpc LPC-related Functions */
  /*! \defgroup matrixdecomp Matrix Decompositions */
  /*! \defgroup miscfunc Miscellaneous Functions */
  /*! \defgroup integration Numerical Integration */
  /*! \defgroup randgen Random Number Generation */
  /*! \defgroup reshaping Reshaping of Vectors and Matrices */
  /*! \defgroup sigproc Signal Processing Functions */
  /*! \defgroup linearequations Solving Linear Equation Systems */
  /*! \defgroup sourcecoding Source Coding Routines */
  /*! \defgroup specmat Special Matrices */
  /*! \defgroup statistics Statistics */
  /*! \defgroup timers Timers */
  /*! \defgroup trifunc Trigonometric Functions */
  /*! \defgroup upsample Upsampling of Vectors and Matrices */
  /*! \defgroup windfunc Windows */
  /*! \defgroup mexfiles Writing Matlab Mex-files Using IT++ */

} //namespace itpp

#endif // __alpha_modules_h
